#include "rs_denoise.h"

#if 1
#define  AS  0.9346	 /* scanner params */
#define  BS  2.1273
#define  CS  0.0010
#endif

#if 1
#define  AP  0.7816 	/* printer params */
#define  BP  1.5227
#define  CP  0.0141
#endif


#if 0
#define  AP  0.7949; /* printer params */
#define  BP  1.5449;
#define  CP  0.0873;
#endif

/* Functions in susan_smooth_utils.c */
void setup_brightness_lut( 
  float **bp,
  int thresh,
  int form );

float * make_gauss_filt( 
  int mask_size,
  float dt,
  int x_size,
  int y_size );


void susan_smooth(
  unsigned char **in1,
  float **in2,
  float ***out,
  float *bp,
  float *dp,
  int mask_size,
  int x_size,
  int y_size );

void inv_scanner_fun ( 
  unsigned char **gam_img,
  float **lin_img,
  int ht,
  int wd,
  unsigned char tone_flag );

void inv_printer_fun( 
  unsigned char **out,
  float **lin_img,
  int ht,
  int wd,
  unsigned char tone_flag );

void set_calib_params( 
  unsigned char tone_flag,
  float *as,
  float *bs,
  float *cs,
  float *ap,
  float *bp,
  float *cp );


